@echo off
REM gen_export_SAP.bat
REM Export werd vroeger handmatig gestart; nu elke 8e van de maand

echo.                                                       >> gen_export_SAP.log
echo %DATE:~3% %TIME:~0,8%                                  >> gen_export_SAP.log

REM === Maak directory voor exportbestanden ========================================================
call getDate.bat                                            >> gen_export_SAP.log 2>>&1
mkdir .\SAP\%mydate%                                        >> gen_export_SAP.log 2>>&1
mkdir .\SAP\%mydate%\logs                                   >> gen_export_SAP.log 2>>&1

REM === Vul exporttabel ============================================================================
echo Opdrachten...                                          >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat MLD_SAP       >> gen_export_SAP.log 2>>&1
echo Reserveringen...                                       >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat RES_SAP       >> gen_export_SAP.log 2>>&1
echo Logistiek...                                           >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat LOGISTIEK     >> gen_export_SAP.log 2>>&1

REM === Genereer exportbestand copiers =============================================================
echo Copiers...                                             >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat COPIERS_SAP   >> gen_export_SAP.log 2>>&1

REM === Genereer + split specificatiebestand =======================================================
echo Specificatiebestanden...                               >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat SAP_SPEC      >> gen_export_SAP.log 2>>&1
cd SAP
call ..\splitter\splitter.bat MY%mydate%.csv                >> ..\gen_export_SAP.log 2>>&1
cd ..

REM === Genereer verkoopfactuurbestand =============================================================
echo Verkoopfactuurbestand...                               >> gen_export_SAP.log
call ..\..\..\utils\gen_export\gen_export.bat SAP_FACTUREN  >> gen_export_SAP.log 2>>&1

REM === Archiveer alle gegenereerde bestanden ======================================================
echo Archiveren...                                          >> gen_export_SAP.log
move .\SAP\*.log    .\SAP\%mydate%\logs                     >> gen_export_SAP.log 2>>&1
move .\SAP\*.*      .\SAP\%mydate%                          >> gen_export_SAP.log 2>>&1
move .\SAP\%mydate% .\SAP\archief                           >> gen_export_SAP.log 2>>&1

REM === Kopieer exportbestanden naar shares ========================================================
echo Kopie naar shares...                                   >> gen_export_SAP.log
mkdir \\gds-fss-grp\HQ_Groups\Acd-s\suacfile\%mydate%       >> gen_export_SAP.log 2>>&1
mkdir \\gds-fss-grp\HQ_Groups\Acd-s\suacfile\%mydate%\logs  >> gen_export_SAP.log 2>>&1
copy /Y .\SAP\archief\%mydate%\*.*      \\gds-fss-grp\HQ_Groups\Acd-s\suacfile\%mydate%      >> gen_export_SAP.log 2>>&1
copy /Y .\SAP\archief\%mydate%\logs\*.* \\gds-fss-grp\HQ_Groups\Acd-s\suacfile\%mydate%\logs >> gen_export_SAP.log 2>>&1


echo Klaar! (%DATE:~3% %TIME:~0,8%)                         >> gen_export_SAP.log